/*  I valori delle label nelle variabili categoriche sono commentati a causa della presenza di codici non esclusivamente numerici. Comunque sono completamente documentati.  */
clear all
infile  using  PGM_2008_IT_DELIMITED.dct, clear
/*
label define  nuts_cl1 IT   "Italia"  
label define  nace_cl2 B   "ESTRAZIONE DI CARBONE (ESCLUSA TORBA)" 10   "INDUSTRIE ALIMENTARI" 13   "INDUSTRIE TESSILI" 14   "CONFEZIONE DI ARTICOLI DI ABBIGLIAMENTO; CONFEZIONE DI ARTICOLI IN PELLE E PELLICCIA" 15   "FABBRICAZIONE DI ARTICOLI IN PELLE E SIMILI" 16   "INDUSTRIA DEL LEGNO E DEI PRODOTTI IN LEGNO E SUGHERO (ESCLUSI I MOBILI); FABBRICAZIONE DI ARTICOLI IN PAGLIA E MATERIALI DA INTRECCIO" 17   "FABBRICAZIONE DI CARTA E DI PRODOTTI DI CARTA" 18   "STAMPA E RIPRODUZIONE DI SUPPORTI REGISTRATI" 19   "FABBRICAZIONE DI COKE E PRODOTTI DERIVANTI DALLA RAFFINAZIONE DEL PETROLIO" 20   "FABBRICAZIONE DI PRODOTTI CHIMICI" 21   "FABBRICAZIONE DI PRODOTTI FARMACEUTICI DI BASE E DI PREPARATI FARMACEUTICI" 22   "FABBRICAZIONE DI ARTICOLI IN GOMMA E MATERIE PLASTICHE" 23   "FABBRICAZIONE DI ALTRI PRODOTTI DELLA LAVORAZIONE DI MINERALI NON METALLIFERI" 24   "METALLURGIA" 25   "FABBRICAZIONE DI PRODOTTI IN METALLO (ESCLUSI MACCHINARI E ATTREZZATURE)" 26   "FABBRICAZIONE DI COMPUTER E PRODOTTI DI ELETTRONICA  E OTTICA; APPARECCHI ELETTROMEDICALI, APPARECCHI DI MISURAZIONE E DI OROLOGI" 27   "FABBRICAZIONE DI APPARECCHIATURE ELETTRICHE ED APPARECCHIATURE PER USO DOMESTICO NON ELETTRICHE" 28   "FABBRICAZIONE DI MACCHINARI ED APPARECCHIATURE NCA" 29   "FABBRICAZIONE DI AUTOVEICOLI, RIMORCHI E SEMIRIMORCHI" 30   "FABBRICAZIONE DI ALTRI MEZZI DI TRASPORTO" 31   "FABBRICAZIONE DI MOBILI" 32   "ALTRE INDUSTRIE MANIFATTURIERE" 33   "RIPARAZIONE, MANUTENZIONE ED INSTALLAZIONE DI MACCHINE ED APPARECCHIATURE" 35   "FORNITURA DI ENERGIA ELETTRICA, GAS, VAPORE E ARIA CONDIZIONATA" 36   "RACCOLTA, TRATTAMENTO E FORNITURA DI ACQUA" 37   "GESTIONE DELLE RETI FOGNARIE" 41   "COSTRUZIONE DI EDIFICI" 42   "INGEGNERIA CIVILE" 43   "LAVORI DI COSTRUZIONE SPECIALIZZATI" 45   "COMMERCIO ALL'INGROSSO E AL DETTAGLIO E RIPARAZIONE DI AUTOVEICOLI E MOTOCICLI" 46   "COMMERCIO ALL'INGROSSO (ESCLUSO QUELLO DI AUTOVEICOLI E DI MOTOCICLI)" 47   "COMMERCIO AL DETTAGLIO (ESCLUSO QUELLO DI AUTOVEICOLI E DI MOTOCICLI)" 49   "TRASPORTO TERRESTRE E TRASPORTO MEDIANTE CONDOTTE" 50   "TRASPORTO MARITTIMO E PER VIE D'ACQUA" 51   "TRASPORTO AEREO" 52   "MAGAZZINAGGIO E ATTIVIT DI SUPPORTO AI TRASPORTI" 53   "SERVIZI POSTALI E ATTIVIT DI CORRIERE" 55   "ALLOGGIO" 56   "ATTIVIT DEI SERVIZI DI RISTORAZIONE" 58   "ATTIVIT EDITORIALI" 59   "ATTIVIT DI PRODUZIONE CINEMATOGRAFICA, DI VIDEO E DI PROGRAMMI TELEVISIVI, DI REGISTRAZIONI MUSICALI E SONORE" 61   "TELECOMUNICAZIONI" 62   "PRODUZIONE DI SOFTWARE, CONSULENZA INFORMATICA E ATTIVIT CONNESSE" 63   "ATTIVIT DEI SERVIZI D'INFORMAZIONE E ALTRI SERVIZI INFORMATICI" 64   "ATTIVIT DI SERVIZI FINANZIARI (ESCLUSE LE ASSICURAZIONI E I FONDI PENSIONE)" 65   "ASSICURAZIONI, RIASSICURAZIONI E FONDI PENSIONE (ESCLUSE LE ASSICURAZIONI SOCIALI OBBLIGATORIE)" 66   "ATTIVIT AUSILIARIE DEI SERVIZI FINANZIARI E DELLE ATTIVIT ASSICURATIVE" 68   "ATTIVIT IMMOBILIARI" 71   "ATTIVIT DEGLI STUDI DI ARCHITETTURA E D'INGEGNERIA; COLLAUDI ED ANALISI TECNICHE" 72   "RICERCA SCIENTIFICA E SVILUPPO" 77   "ATTIVIT DI NOLEGGIO E LEASING OPERATIVO" 11-12   "INDUSTRIA DELLE BEVANDE E DEL TABACCO" 38-39   "ATTIVIT DI RACCOLTA, TRATTAMENTO E SMALTIMENTO DEI RIFIUTI; RECUPERO DEI MATERIALI; ATTIVIT DI RISANAMENTO E ALTRI SERVIZI DI GESTIONE DEI RIFIUTI"  
label define  gp_cl3 0   "No" 1   "Si"  
label define  ho_cl4 .   "missing or non applicable" 0   "Enterprise does not belong to a group" 1   "Home country (Italy)" 2   "Europe + Candidate Countries + EFTA countries" 3   "Rest of the world"  
label define  marloc_cl5  
label define  marnat_cl6  
label define  mareur_cl7  
label define  maroth_cl8  
label define  larmar_cl9 A   "Regione nella quale limpresa ha la sua sede operativa" B   "Altre regioni del territorio nazionale (differenti da quella in cui  ubicata la sede operativa)" C   "Stati membri UE, paesi candidati UE, paesi EFTA" D   "Altri paesi"  
label define  inpdgd_cl10  
label define  inpdsv_cl11  
label define  inpdtw_cl12 .   "Assente se l'impresa non ha introdotto innovazioni di prodotto nel triennio" 1   "Prevalentemente limpresa stessa o imprese dello stesso gruppo" 2   "Prevalentemente limpresa stessa in collaborazione con altre imprese o istituti di ricerca" 3   "Prevalentemente altre imprese o istituti di ricerca"  
label define  newmkt_cl13 .   "Assente se l'impresa non ha introdotto innovazioni di prodotto nel triennio" 0   "No" 1   "Si"  
label define  newfrm_cl14  
label define  inpspd_cl18 0   "No" 1   "Si"  
label define  inpslg_cl19  
label define  inpssu_cl20  
label define  inpcsw_cl21 .   "Assente se l'impresa non ha introdotto innovazioni di processo nel triennio" 1   "Prevalentemente limpresa stessa o imprese dello stesso gruppo" 2   "Prevalentemente limpresa stessa in collaborazione con altre imprese o istituzioni" 3   "Prevalentemente altre imprese o istituzioni"  
label define  inpsnm_cl22 .   "Assente se l'impresa non ha introdotto innovazioni di processo nel triennio" 0   "No" 1   "Si" 2   "Non so"  
label define  inaba_cl23  
label define  inong_cl24  
label define  rrdin_cl25 .   "Assente se l'impresa non ha introdotto innovazioni di prodotto e/processo nel triennio n aveva in corso attivit di innovazione tecnologica alla fine del 2008" 0   "No" 1   "Si"  
label define  rdeng_cl26 .   "Assente se l'impresa non ha svolto attivit di R&S nel triennio" 1   "Sistematica" 2   "Occasionale"  
label define  rrdex_cl27  
label define  rmac_cl28  
label define  roek_cl29  
label define  rtr_cl30  
label define  rmar_cl31  
label define  rpre_cl32  
label define  funloc_cl41 .   "Assente se l'impresa non ha introdotto innovazioni di prodotto e/processo nel triennio n aveva in corso attivit di innovazione tecnologica alla fine del 2008" 0   "No" 1   "Si"  
label define  fungmt_cl42  
label define  funeu_cl43  
label define  funrtd_cl44  
label define  sentg_cl45 .   "Assente se l'impresa non ha introdotto innovazioni di prodotto e/processo nel triennio 2002-2004 o non aveva in corso attivit di innovazione tecnologica alla fine del 2008" 0   "Nullo" 1   "Basso" 2   "Medio" 3   "Alto"  
label define  ssup_cl46  
label define  scli_cl47  
label define  scom_cl48  
label define  sins_cl49  
label define  suni_cl50  
label define  sgmt_cl51  
label define  scon_cl52  
label define  sjou_cl53  
label define  spro_cl54  
label define  co_cl55  
label define  co11_cl56 .   "Assente se l'impresa non ha svolto cooperazione nel triennio n aveva in corso attivit di innovazione tecnologica alla fine del 2008" 0   "No" 1   "Si"  
label define  co12_cl57  
label define  co13_cl58  
label define  co14_cl59  
label define  co15_cl60  
label define  co21_cl61  
label define  co22_cl62  
label define  co23_cl63  
label define  co24_cl64  
label define  co25_cl65  
label define  co31_cl66  
label define  co32_cl67  
label define  co33_cl68  
label define  co34_cl69  
label define  co35_cl70  
label define  co41_cl71  
label define  co42_cl72  
label define  co43_cl73 .   "Assente se l'impresa non ha svolto cooperazione nel triennio n aveva in corso attivit di innovazione tecnologica alla fine del 2008" 0   "No" 1   "Si"  
label define  co44_cl74  
label define  co45_cl75  
label define  co51_cl76  
label define  co52_cl77  
label define  co53_cl78  
label define  co54_cl79  
label define  co55_cl80  
label define  co61_cl81  
label define  co62_cl82  
label define  co63_cl83  
label define  co64_cl84  
label define  co65_cl85  
label define  co71_cl86  
label define  co72_cl87  
label define  co73_cl88  
label define  co74_cl89  
label define  co75_cl90  
label define  pmos_cl91 A   "Altre imprese dello stesso gruppo" B   "Fornitori" C   "Clienti" D   "Imprese concorrenti" E   "Consulenti, istituti di ricerca e laboratori privati" F   "Universit o altri istituti di istruzione superiore" G   "Istituti di ricerca pubblici"  
label define  orange_cl92 .   "Assente se l'impresa non ha introdotto innovazioni di prodotto e/processo nel triennio 2002-2004 o non aveva in corso attivit di innovazione tecnologica alla fine del 2008" 0   "Nullo" 1   "Basso" 2   "Medio" 3   "Alto"  
label define  orepl_cl93  
label define  oenmk_cl94  
label define  oimks_cl95  
label define  oqua_cl96  
label define  oflex_cl97  
label define  ocap_cl98  
label define  ohes_cl99  
label define  olbr_cl100  
label define  orgbup_cl101 0   "No" 1   "Si"  
label define  orgwkp_cl102  
label define  orgexr_cl103  
label define  orored_cl104 .   "Assente se l'impresa non ha introdotto innovazioni organizzative nel triennio" 0   "Nullo" 1   "Basso" 2   "Medio" 3   "Alto"  
label define  oroabl_cl105  
label define  oroqua_cl106  
label define  ororco_cl107  
label define  orocin_cl108  
label define  mktdgp_cl109 0   "No" 1   "Si"  
label define  mktpdp_cl110  
label define  mktpdl_cl111  
label define  mktpri_cl112  
label define  omkts_cl113 .   "Assente se l'impresa non ha introdotto innovazioni di marketing nel triennio" 0   "Nullo" 1   "Basso" 2   "Medio" 3   "Alto"  
label define  omktcg_cl114  
label define  omktgm_cl115  
label define  ecomat_cl116 .   "Non risponde" 0   "No" 1   "Si"  
label define  ecoen_cl117  
label define  ecoco_cl118  
label define  ecosub_cl119  
label define  ecopol_cl120  
label define  ecorec_cl121  
label define  ecoenu_cl122  
label define  ecopos_cl123  
label define  ecorea_cl124  
label define  enreg_cl125  
label define  enregf_cl126  
label define  engra_cl127  
label define  endem_cl128  
label define  enagr_cl129  
label define  envid_cl130 .   "Non risponde" 1   "S, le azioni sono state implementate prima di gennaio 2006" 2   "S, le azioni sono state implementate o significativamente migliorate dopo gennaio 2006" 3   "No"  
label values  nuts nuts_cl1
label values  nace nace_cl2
label values  gp gp_cl3
label values  ho ho_cl4
label values  marloc marloc_cl5
label values  marnat marnat_cl6
label values  mareur mareur_cl7
label values  maroth maroth_cl8
label values  larmar larmar_cl9
label values  inpdgd inpdgd_cl10
label values  inpdsv inpdsv_cl11
label values  inpdtw inpdtw_cl12
label values  newmkt newmkt_cl13
label values  newfrm newfrm_cl14
label values  inpspd inpspd_cl18
label values  inpslg inpslg_cl19
label values  inpssu inpssu_cl20
label values  inpcsw inpcsw_cl21
label values  inpsnm inpsnm_cl22
label values  inaba inaba_cl23
label values  inong inong_cl24
label values  rrdin rrdin_cl25
label values  rdeng rdeng_cl26
label values  rrdex rrdex_cl27
label values  rmac rmac_cl28
label values  roek roek_cl29
label values  rtr rtr_cl30
label values  rmar rmar_cl31
label values  rpre rpre_cl32
label values  funloc funloc_cl41
label values  fungmt fungmt_cl42
label values  funeu funeu_cl43
label values  funrtd funrtd_cl44
label values  sentg sentg_cl45
label values  ssup ssup_cl46
label values  scli scli_cl47
label values  scom scom_cl48
label values  sins sins_cl49
label values  suni suni_cl50
label values  sgmt sgmt_cl51
label values  scon scon_cl52
label values  sjou sjou_cl53
label values  spro spro_cl54
label values  co co_cl55
label values  co11 co11_cl56
label values  co12 co12_cl57
label values  co13 co13_cl58
label values  co14 co14_cl59
label values  co15 co15_cl60
label values  co21 co21_cl61
label values  co22 co22_cl62
label values  co23 co23_cl63
label values  co24 co24_cl64
label values  co25 co25_cl65
label values  co31 co31_cl66
label values  co32 co32_cl67
label values  co33 co33_cl68
label values  co34 co34_cl69
label values  co35 co35_cl70
label values  co41 co41_cl71
label values  co42 co42_cl72
label values  co43 co43_cl73
label values  co44 co44_cl74
label values  co45 co45_cl75
label values  co51 co51_cl76
label values  co52 co52_cl77
label values  co53 co53_cl78
label values  co54 co54_cl79
label values  co55 co55_cl80
label values  co61 co61_cl81
label values  co62 co62_cl82
label values  co63 co63_cl83
label values  co64 co64_cl84
label values  co65 co65_cl85
label values  co71 co71_cl86
label values  co72 co72_cl87
label values  co73 co73_cl88
label values  co74 co74_cl89
label values  co75 co75_cl90
label values  pmos pmos_cl91
label values  orange orange_cl92
label values  orepl orepl_cl93
label values  oenmk oenmk_cl94
label values  oimks oimks_cl95
label values  oqua oqua_cl96
label values  oflex oflex_cl97
label values  ocap ocap_cl98
label values  ohes ohes_cl99
label values  olbr olbr_cl100
label values  orgbup orgbup_cl101
label values  orgwkp orgwkp_cl102
label values  orgexr orgexr_cl103
label values  orored orored_cl104
label values  oroabl oroabl_cl105
label values  oroqua oroqua_cl106
label values  ororco ororco_cl107
label values  orocin orocin_cl108
label values  mktdgp mktdgp_cl109
label values  mktpdp mktpdp_cl110
label values  mktpdl mktpdl_cl111
label values  mktpri mktpri_cl112
label values  omkts omkts_cl113
label values  omktcg omktcg_cl114
label values  omktgm omktgm_cl115
label values  ecomat ecomat_cl116
label values  ecoen ecoen_cl117
label values  ecoco ecoco_cl118
label values  ecosub ecosub_cl119
label values  ecopol ecopol_cl120
label values  ecorec ecorec_cl121
label values  ecoenu ecoenu_cl122
label values  ecopos ecopos_cl123
label values  ecorea ecorea_cl124
label values  enreg enreg_cl125
label values  enregf enregf_cl126
label values  engra engra_cl127
label values  endem endem_cl128
label values  enagr enagr_cl129
label values  envid envid_cl130
*/
save  ISTAT_MFR_CIS_Microdati_2008_ESEMPIO_STRUTTURA_FILE.dta, replace
