/*    LIMITAZIONE DELLA RESPONSABILITA'. 
  Il software  fornito "cos com'", senza garanzie di ogni sorta.               */
%macro grabpath;
%qsubstr(%sysget(SAS_EXECFILEPATH),1,%length(%sysget(SAS_EXECFILEPATH))-%length(%sysget(SAS_EXECFILEname)))
%mend grabpath;
%let path = %grabpath;
%let nomeFile =ISTAT_MFR_CIS_Microdati_2008_ESEMPIO_STRUTTURA_FILE.txt;
LIBNAME ISTAT "&path";
DATA ISTAT.CIS_2008;

INFILE "&path&nomeFile" DLM='5E'x  LRECL=6000 TRUNCOVER FIRSTOBS=2 IGNOREDOSEOF;
INPUT 
id :6.   /*  Codice identificativo */
nuts :2.   /*  Paese di residenza dell'impresa */
nace :5.   /*  attivit economica */
GP :1.   /*  Appartenenza ad un gruppo industriale */
HO :$1.   /*  Sede dell'impresa capogruppo */
MARLOC :1.   /*  Ambito di mercato: regionale */
MARNAT :1.   /*  Ambito di mercato: nazionale */
MAREUR :1.   /*  Ambito di mercato: europeo */
MAROTH :1.   /*  Ambito di mercato: altro */
LARMAR :$1.   /*  Mercato con il maggior peso in termini di fatturato */
INPDGD :1.   /*  Innovazioni di prodotto nel triennio */
INPDSV :1.   /*  Innovazioni di servizio nel triennio */
INPDTW :1.   /*  Chi ha sviluppato le innovazioni di prodotto e/o servizio */
NEWMKT :1.   /*  Innovazioni di prodotto e/o servizio originali per il mercato di riferimento */
NEWFRM :1.   /*  Innovazioni di prodotto e/o servizio nuovi solo per l'impresa */
TURNMAR :4.2   /*  Quota di fatturato 2008 derivante da prodotti e/o servizi originali per il mercato di riferimento */
TURNIN :4.2   /*  Quota di fatturato 2008 derivante da prodotti  e/o servizi nuovi solo per l'impresa */
TURNUNG :4.2   /*  Quota di fatturato 2008 derivante da prodotti  e/o servizi non modificati */
INPSPD :1.   /*  Innovazioni del processo produttivo nel triennio */
INPSLG :1.   /*  Innovazioni nei sistemi di logistica e metodi di distribuzione nel triennio */
INPSSU :1.   /*  Altre innovazioni di processo */
INPCSW :1.   /*  Chi ha sviluppato le innovazioni di processo */
INPSNM :1.   /*  Processo nuovo per il mercato di riferimento dellimpresa */
INABA :1.   /*  Attivit di innovazione abbandonate alla fine del 2008 */
INONG :1.   /*  Attivit di innovazione ancora in corso alla fine del 2004 */
RRDIN :1.   /*  Attivit di R&S svolta allinterno dellimpresa */
RDENG :1.   /*  Modalit di svolgimento delle attivit di R&S nel triennio */
RRDEX :1.   /*  Acquisizione di servizi di R&S dall'esterno */
RMAC :1.   /*  Acquisizione di macchinari e attrezzature per l'innovazione */
ROEK :1.   /*  Acquisizione di tecnologia non incorporata in beni strumentali */
RTR :1.   /*  Attivit di formazione per l'innovazione */
RMAR :1.   /*  Attivit di marketing di prodotti innovativi */
RPRE :1.   /*  "Attivit di design, progettazione  industriale ed altre attivit preliminari alla produzione " */
rrdinx :9.   /*  Spesa sostenuta per attivit di R&S svolta allinterno dellimpresa nel 2008 */
rrdexx :9.   /*  Spesa sostenuta per l'acquisizione di servizi di R&S nel 2008 */
rmacx :9.   /*  Spesa sostenuta per l'acquisizione di macchinari e attrezzature nel 2008 */
roekx :9.   /*  Spesa sostenuta per l'acquisizione di tecnologia non incorporata in beni strumentali nel 2008 */
rtrx :9.   /*  Spesa sostenuta per le attivit di formazione nel 2008 */
rprex :9.   /*   Spesa sostenuta per il design, progettazione  industriale e altre attivit preliminari alla produzione nel 2008  */
rmarx :9.   /*  Spesa sostenuta per il marketing di prodotti innovativi nel 2008 */
rtotita :9.   /*  Spesa totale per l'innovazione sostenuta nel 2008 */
funloc :1.   /*  Sostegno pubblico all'innovazione da amministrazioni pubbliche regionali e locali */
fungmt :1.   /*  Sostegno pubblico all'innovazione da amministrazioni centrali dello Stato */
funeu :1.   /*  Sostegno pubblico all'innovazione dallUnione Europea */
funrtd :1.   /*  Sostegno pubblico all'innovazione dai Programmi Quadro Europeo per la Ricerca e lo Sviluppo Tecnologico */
SENTG :1.   /*  Fonti di informazione dell'innovazione: fonti interne */
SSUP :1.   /*  Fonti di informazione dell'innovazione: fornitori */
SCLI :1.   /*  Fonti di informazione dell'innovazione: clienti */
SCOM :1.   /*  Fonti di informazione dell'innovazione: concorrenti */
SINS :1.   /*   Fonti di informazione dell'innovazione: consulenti, istituti di ricerca o laboratori privati  */
SUNI :1.   /*  Fonti di informazione dell'innovazione: universit */
SGMT :1.   /*  Fonti di informazione dell'innovazione: istituti di ricerca pubblici */
SCON :1.   /*   Fonti di informazione dell'innovazione: conferenze, mostre, fiere  */
SJOU :1.   /*  Fonti di informazione dell'innovazione: riviste scientifiche e altre pubblicazioni */
SPRO :1.   /*  Fonti di informazione dell'innovazione: associazioni di categoria */
CO :1.   /*  Accordi di cooperazione per l'innovazione */
co11 :1.   /*  Accordi di cooperazione per l'innovazione con altre imprese del gruppo in Italia */
co12 :1.   /*  Accordi di cooperazione per l'innovazione con altre imprese del gruppo operanti in Europa */
co13 :1.   /*  Accordi di cooperazione per l'innovazione con altre imprese del gruppo operanti negli USA */
co14 :1.   /*  Accordi di cooperazione per l'innovazione con altre imprese del gruppo operanti in Cina o India */
co15 :1.   /*  Accordi di cooperazione per l'innovazione con altre imprese del gruppo operanti in altri paesi */
co21 :1.   /*  Accordi di cooperazione per l'innovazione con fornitori in Italia */
co22 :1.   /*  Accordi di cooperazione per l'innovazione con fornitori operanti in Europa */
co23 :1.   /*  Accordi di cooperazione per l'innovazione con fornitori operanti in USA */
co24 :1.   /*  Accordi di cooperazione per l'innovazione con fornitori operanti in Cina o India */
co25 :1.   /*  Accordi di cooperazione per l'innovazione con fornitori operanti in altri paesi */
co31 :1.   /*  Accordi di cooperazione per l'innovazione con clienti in Italia */
co32 :1.   /*  Accordi di cooperazione per l'innovazione con clienti operanti in Europa */
co33 :1.   /*  Accordi di cooperazione per l'innovazione con clienti operanti in USA */
co34 :1.   /*  Accordi di cooperazione per l'innovazione con clienti operanti in in Cina o India */
co35 :1.   /*  Accordi di cooperazione per l'innovazione con clienti operanti in altri paesi */
co41 :1.   /*  Accordi di cooperazione per l'innovazione con imprese concorrenti in Italia */
co42 :1.   /*  Accordi di cooperazione per l'innovazione con imprese concorrenti operanti in Europa */
co43 :1.   /*  Accordi di cooperazione per l'innovazione con imprese concorrenti operanti in USA */
co44 :1.   /*  Accordi di cooperazione per l'innovazione con imprese concorrenti operanti in in Cina o India */
co45 :1.   /*  Accordi di cooperazione per l'innovazione con imprese concorrenti operanti in altri paesi */
co51 :1.   /*   Accordi di cooperazione per l'innovazione con consulenti, istituti di ricerca e laboratori privati operanti in Italia  */
co52 :1.   /*   Accordi di cooperazione per l'innovazione con consulenti, istituti di ricerca e laboratori privati operanti in Europa  */
co53 :1.   /*   Accordi di cooperazione per l'innovazione con consulenti, istituti di ricerca e laboratori privati operanti in USA  */
co54 :1.   /*   Accordi di cooperazione per l'innovazione con consulenti, istituti di ricerca e laboratori privati operanti in in Cina o India  */
co55 :1.   /*   Accordi di cooperazione per l'innovazione con consulenti, istituti di ricerca e laboratori privati operanti in altri paesi   */
co61 :1.   /*  Accordi di cooperazione per l'innovazione con Universit in Italia */
co62 :1.   /*  Accordi di cooperazione per l'innovazione con Universit operanti in Europa */
co63 :1.   /*  Accordi di cooperazione per l'innovazione con Universit operanti in USA */
co64 :1.   /*  Accordi di cooperazione per l'innovazione con Universit operanti in in Cina o India */
co65 :1.   /*  Accordi di cooperazione per l'innovazione con Universit operanti in altri paesi */
co71 :1.   /*  Accordi di cooperazione per l'innovazione con istituti di ricerca pubblici in Italia */
co72 :1.   /*  Accordi di cooperazione per l'innovazione con istituti di ricerca pubblici operanti in Europea */
co73 :1.   /*  Accordi di cooperazione per l'innovazione con istituti di ricerca pubblici operanti in USA */
co74 :1.   /*  Accordi di cooperazione per l'innovazione con istituti di ricerca pubblici operanti in in Cina o India */
co75 :1.   /*  Accordi di cooperazione per l'innovazione con istituti di ricerca pubblici operanti in altri paesi */
PMOS :$1.   /*  Tipologia di impresa o istituzione giudicata rilevante ai fini delle attivit di cooperazione */
ORANGE :1.   /*  Aumento nel numero di prodotti e servizi offerti alla clientela */
OREPL :1.   /*   Sostituzione di prodotti, servizi e processi non pi competitivi  */
OENMK :1.   /*  Accesso a nuovi mercati */
OIMKS :1.   /*  Aumento della propria quota di mercato */
OQUA :1.   /*  Miglioramento della qualit dei propri prodotti e servizi */
OFLEX :1.   /*  Maggiore flessibilit nella produzione di beni e servizi */
OCAP :1.   /*  Maggiore capacit di produzione di beni e servizi */
OHES :1.   /*  Migliorare la salute e sicurezza del lavoro */
OLBR :1.   /*  Riduzione del costo del lavoro per unit di prodotto */
ORGBUP :1.   /*  Nuove pratiche di organizzazione dellimpresa */
ORGWKP :1.   /*  Nuove metodi di organizzazione del lavoro */
ORGEXR :1.   /*  Nuove strategie organizzative nelle relazioni pubbliche */
ORORED :1.   /*  Riduzione dei tempi di risposta alle esigenze di clienti e fornitori */
OROABL :1.   /*  Migliorate capacit di produzione di beni e servizi */
OROQUA :1.   /*  Miglioramento della qualit dei propri prodotti e servizi */
ORORCO :1.   /*  Riduzione dei costi per unit di prodotto */
OROCIN :1.   /*  Maggiore comunicazione o condivisione di informazioni allinterno dellimpresa o con altre imprese o istituzioni */
MKTDGP :1.   /*  Modifiche significative nelle caratteristiche estetiche dei prodotti o nel confezionamento */
MKTPDP :1.   /*  Nuovi mezzi o tecniche di promozione pubblicitaria */
MKTPDL :1.   /*  Nuovi pratiche di commercializzazione dei prodotti e/o servizi */
MKTPRI :1.   /*  Nuove politiche dei prezzi */
OMKTS :1.   /*  Aumento o mantenimento della propria quota di mercato */
OMKTCG :1.   /*  Introduzione di prodotti e servizi per nuove fasce di consumatori */
OMKTGM :1.   /*  Introduzione di prodotti e servizi per nuovi mercati geografici */
ECOMAT :1.   /*  Riduzione delluso di materie prime e semilavorati per unit di prodotto */
ECOEN :1.   /*  Riduzione delluso di energia per unit di prodotto in fase di produzione */
ECOCO :1.   /*  Riduzione delle emissioni industriali di CO2 in fase di produzione */
ECOSUB :1.   /*  Sostituzione di materiali tradizionali con materiali eco-compatibili */
ECOPOL :1.   /*   Riduzione dellinquinamento atmosferico, idrico, sonoro e del suolo in fase di produzione  */
ECOREC :1.   /*  Riciclaggio dei materiali e dei rifiuti e riciclo dellacqua */
ECOENU :1.   /*  Riduzione dei consumi energetici in fase di consumo/utilizzazione di beni e servizi */
ECOPOS :1.   /*   Riduzione dellinquinamento atmosferico, idrico, sonoro e del suolo in fase di consumo/utilizzazione di beni e servizi    */
ECOREA :1.   /*  Miglioramento nelle pratiche di riciclo dei prodotti a fine vita in fase di consumo/utilizzazione di beni e servizi */
ENREG :1.   /*  Presenza di una normativa in materia ambientale e/o di una tassazione vigente sulle emissioni inquinanti */
ENREGF :1.   /*  Prospettive di applicazione futura di una normativa in materia ambientale e/o di  una tassazione sulle emissioni inquinanti */
ENGRA :1.   /*   Disponibilit di agevolazioni, contributi e altri incentivi finanziari a favore delle innovazioni eco-compatibili  */
ENDEM :1.   /*  Esistenza di una domanda corrente o attesa di innovazioni eco-compatibili */
ENAGR :1.   /*  Esistenza di accordi volontari o di altri processi di negoziazione volontaria per la promozione e la  diffusione di buone pratiche in campo ambientale allinterno del proprio settore economico */
ENVID :1.   /*  Azioni finalizzate a un controllo periodico e a un intervento sullimpatto ambientale delle proprie attivit */
turn06 :11.   /*  Fatturato 2006 */
turn08 :11.   /*  Fatturato 2008 */
EMP06 :6.   /*  Classe di addetti 2006 */
EMP08 :6.   /*  Classe di addetti 2008 */
weightnr :7.3   /*  Peso finale */
;
LABEL 
id = "Codice identificativo"
nuts = "Paese di residenza dell'impresa"
nace = "attivit economica"
GP = "Appartenenza ad un gruppo industriale"
HO = "Sede dell'impresa capogruppo"
MARLOC = "Ambito di mercato: regionale"
MARNAT = "Ambito di mercato: nazionale"
MAREUR = "Ambito di mercato: europeo"
MAROTH = "Ambito di mercato: altro"
LARMAR = "Mercato con il maggior peso in termini di fatturato"
INPDGD = "Innovazioni di prodotto nel triennio"
INPDSV = "Innovazioni di servizio nel triennio"
INPDTW = "Chi ha sviluppato le innovazioni di prodotto e/o servizio"
NEWMKT = "Innovazioni di prodotto e/o servizio originali per il mercato di riferimento"
NEWFRM = "Innovazioni di prodotto e/o servizio nuovi solo per l'impresa"
TURNMAR = "Quota di fatturato 2008 derivante da prodotti e/o servizi originali per il mercato di riferimento"
TURNIN = "Quota di fatturato 2008 derivante da prodotti  e/o servizi nuovi solo per l'impresa"
TURNUNG = "Quota di fatturato 2008 derivante da prodotti  e/o servizi non modificati"
INPSPD = "Innovazioni del processo produttivo nel triennio"
INPSLG = "Innovazioni nei sistemi di logistica e metodi di distribuzione nel triennio"
INPSSU = "Altre innovazioni di processo"
INPCSW = "Chi ha sviluppato le innovazioni di processo"
INPSNM = "Processo nuovo per il mercato di riferimento dellimpresa"
INABA = "Attivit di innovazione abbandonate alla fine del 2008"
INONG = "Attivit di innovazione ancora in corso alla fine del 2004"
RRDIN = "Attivit di R&S svolta allinterno dellimpresa"
RDENG = "Modalit di svolgimento delle attivit di R&S nel triennio"
RRDEX = "Acquisizione di servizi di R&S dall'esterno"
RMAC = "Acquisizione di macchinari e attrezzature per l'innovazione"
ROEK = "Acquisizione di tecnologia non incorporata in beni strumentali"
RTR = "Attivit di formazione per l'innovazione"
RMAR = "Attivit di marketing di prodotti innovativi"
RPRE = " Attivit di design, progettazione  industriale ed altre attivit preliminari alla produzione  "
rrdinx = "Spesa sostenuta per attivit di R&S svolta allinterno dellimpresa nel 2008"
rrdexx = "Spesa sostenuta per l'acquisizione di servizi di R&S nel 2008"
rmacx = "Spesa sostenuta per l'acquisizione di macchinari e attrezzature nel 2008"
roekx = "Spesa sostenuta per l'acquisizione di tecnologia non incorporata in beni strumentali nel 2008"
rtrx = "Spesa sostenuta per le attivit di formazione nel 2008"
rprex = " Spesa sostenuta per il design, progettazione  industriale e altre attivit preliminari alla produzione nel 2008 "
rmarx = "Spesa sostenuta per il marketing di prodotti innovativi nel 2008"
rtotita = "Spesa totale per l'innovazione sostenuta nel 2008"
funloc = "Sostegno pubblico all'innovazione da amministrazioni pubbliche regionali e locali"
fungmt = "Sostegno pubblico all'innovazione da amministrazioni centrali dello Stato"
funeu = "Sostegno pubblico all'innovazione dallUnione Europea"
funrtd = "Sostegno pubblico all'innovazione dai Programmi Quadro Europeo per la Ricerca e lo Sviluppo Tecnologico"
SENTG = "Fonti di informazione dell'innovazione: fonti interne"
SSUP = "Fonti di informazione dell'innovazione: fornitori"
SCLI = "Fonti di informazione dell'innovazione: clienti"
SCOM = "Fonti di informazione dell'innovazione: concorrenti"
SINS = " Fonti di informazione dell'innovazione: consulenti, istituti di ricerca o laboratori privati "
SUNI = "Fonti di informazione dell'innovazione: universit"
SGMT = "Fonti di informazione dell'innovazione: istituti di ricerca pubblici"
SCON = " Fonti di informazione dell'innovazione: conferenze, mostre, fiere "
SJOU = "Fonti di informazione dell'innovazione: riviste scientifiche e altre pubblicazioni"
SPRO = "Fonti di informazione dell'innovazione: associazioni di categoria"
CO = "Accordi di cooperazione per l'innovazione"
co11 = "Accordi di cooperazione per l'innovazione con altre imprese del gruppo in Italia"
co12 = "Accordi di cooperazione per l'innovazione con altre imprese del gruppo operanti in Europa"
co13 = "Accordi di cooperazione per l'innovazione con altre imprese del gruppo operanti negli USA"
co14 = "Accordi di cooperazione per l'innovazione con altre imprese del gruppo operanti in Cina o India"
co15 = "Accordi di cooperazione per l'innovazione con altre imprese del gruppo operanti in altri paesi"
co21 = "Accordi di cooperazione per l'innovazione con fornitori in Italia"
co22 = "Accordi di cooperazione per l'innovazione con fornitori operanti in Europa"
co23 = "Accordi di cooperazione per l'innovazione con fornitori operanti in USA"
co24 = "Accordi di cooperazione per l'innovazione con fornitori operanti in Cina o India"
co25 = "Accordi di cooperazione per l'innovazione con fornitori operanti in altri paesi"
co31 = "Accordi di cooperazione per l'innovazione con clienti in Italia"
co32 = "Accordi di cooperazione per l'innovazione con clienti operanti in Europa"
co33 = "Accordi di cooperazione per l'innovazione con clienti operanti in USA"
co34 = "Accordi di cooperazione per l'innovazione con clienti operanti in in Cina o India"
co35 = "Accordi di cooperazione per l'innovazione con clienti operanti in altri paesi"
co41 = "Accordi di cooperazione per l'innovazione con imprese concorrenti in Italia"
co42 = "Accordi di cooperazione per l'innovazione con imprese concorrenti operanti in Europa"
co43 = "Accordi di cooperazione per l'innovazione con imprese concorrenti operanti in USA"
co44 = "Accordi di cooperazione per l'innovazione con imprese concorrenti operanti in in Cina o India"
co45 = "Accordi di cooperazione per l'innovazione con imprese concorrenti operanti in altri paesi"
co51 = " Accordi di cooperazione per l'innovazione con consulenti, istituti di ricerca e laboratori privati operanti in Italia "
co52 = " Accordi di cooperazione per l'innovazione con consulenti, istituti di ricerca e laboratori privati operanti in Europa "
co53 = " Accordi di cooperazione per l'innovazione con consulenti, istituti di ricerca e laboratori privati operanti in USA "
co54 = " Accordi di cooperazione per l'innovazione con consulenti, istituti di ricerca e laboratori privati operanti in in Cina o India "
co55 = " Accordi di cooperazione per l'innovazione con consulenti, istituti di ricerca e laboratori privati operanti in altri paesi  "
co61 = "Accordi di cooperazione per l'innovazione con Universit in Italia"
co62 = "Accordi di cooperazione per l'innovazione con Universit operanti in Europa"
co63 = "Accordi di cooperazione per l'innovazione con Universit operanti in USA"
co64 = "Accordi di cooperazione per l'innovazione con Universit operanti in in Cina o India"
co65 = "Accordi di cooperazione per l'innovazione con Universit operanti in altri paesi"
co71 = "Accordi di cooperazione per l'innovazione con istituti di ricerca pubblici in Italia"
co72 = "Accordi di cooperazione per l'innovazione con istituti di ricerca pubblici operanti in Europea"
co73 = "Accordi di cooperazione per l'innovazione con istituti di ricerca pubblici operanti in USA"
co74 = "Accordi di cooperazione per l'innovazione con istituti di ricerca pubblici operanti in in Cina o India"
co75 = "Accordi di cooperazione per l'innovazione con istituti di ricerca pubblici operanti in altri paesi"
PMOS = "Tipologia di impresa o istituzione giudicata rilevante ai fini delle attivit di cooperazione"
ORANGE = "Aumento nel numero di prodotti e servizi offerti alla clientela"
OREPL = " Sostituzione di prodotti, servizi e processi non pi competitivi "
OENMK = "Accesso a nuovi mercati"
OIMKS = "Aumento della propria quota di mercato"
OQUA = "Miglioramento della qualit dei propri prodotti e servizi"
OFLEX = "Maggiore flessibilit nella produzione di beni e servizi"
OCAP = "Maggiore capacit di produzione di beni e servizi"
OHES = "Migliorare la salute e sicurezza del lavoro"
OLBR = "Riduzione del costo del lavoro per unit di prodotto"
ORGBUP = "Nuove pratiche di organizzazione dellimpresa"
ORGWKP = "Nuove metodi di organizzazione del lavoro"
ORGEXR = "Nuove strategie organizzative nelle relazioni pubbliche"
ORORED = "Riduzione dei tempi di risposta alle esigenze di clienti e fornitori"
OROABL = "Migliorate capacit di produzione di beni e servizi"
OROQUA = "Miglioramento della qualit dei propri prodotti e servizi"
ORORCO = "Riduzione dei costi per unit di prodotto"
OROCIN = "Maggiore comunicazione o condivisione di informazioni allinterno dellimpresa o con altre imprese o istituzioni"
MKTDGP = "Modifiche significative nelle caratteristiche estetiche dei prodotti o nel confezionamento"
MKTPDP = "Nuovi mezzi o tecniche di promozione pubblicitaria"
MKTPDL = "Nuovi pratiche di commercializzazione dei prodotti e/o servizi"
MKTPRI = "Nuove politiche dei prezzi"
OMKTS = "Aumento o mantenimento della propria quota di mercato"
OMKTCG = "Introduzione di prodotti e servizi per nuove fasce di consumatori"
OMKTGM = "Introduzione di prodotti e servizi per nuovi mercati geografici"
ECOMAT = "Riduzione delluso di materie prime e semilavorati per unit di prodotto"
ECOEN = "Riduzione delluso di energia per unit di prodotto in fase di produzione"
ECOCO = "Riduzione delle emissioni industriali di CO2 in fase di produzione"
ECOSUB = "Sostituzione di materiali tradizionali con materiali eco-compatibili"
ECOPOL = " Riduzione dellinquinamento atmosferico, idrico, sonoro e del suolo in fase di produzione "
ECOREC = "Riciclaggio dei materiali e dei rifiuti e riciclo dellacqua"
ECOENU = "Riduzione dei consumi energetici in fase di consumo/utilizzazione di beni e servizi"
ECOPOS = " Riduzione dellinquinamento atmosferico, idrico, sonoro e del suolo in fase di consumo/utilizzazione di beni e servizi   "
ECOREA = "Miglioramento nelle pratiche di riciclo dei prodotti a fine vita in fase di consumo/utilizzazione di beni e servizi"
ENREG = "Presenza di una normativa in materia ambientale e/o di una tassazione vigente sulle emissioni inquinanti"
ENREGF = "Prospettive di applicazione futura di una normativa in materia ambientale e/o di  una tassazione sulle emissioni inquinanti"
ENGRA = " Disponibilit di agevolazioni, contributi e altri incentivi finanziari a favore delle innovazioni eco-compatibili "
ENDEM = "Esistenza di una domanda corrente o attesa di innovazioni eco-compatibili"
ENAGR = "Esistenza di accordi volontari o di altri processi di negoziazione volontaria per la promozione e la  diffusione di buone pratiche in campo ambientale allinterno del proprio settore economico"
ENVID = "Azioni finalizzate a un controllo periodico e a un intervento sullimpatto ambientale delle proprie attivit"
turn06 = "Fatturato 2006"
turn08 = "Fatturato 2008"
EMP06 = "Classe di addetti 2006"
EMP08 = "Classe di addetti 2008"
weightnr = "Peso finale"
;
RUN;
PROC FORMAT;
VALUE nut1F /* nuts */
IT= "Italia"
;
VALUE nac2F /* nace */
B= "ESTRAZIONE DI CARBONE (ESCLUSA TORBA)"
10= "INDUSTRIE ALIMENTARI"
13= "INDUSTRIE TESSILI"
14= "CONFEZIONE DI ARTICOLI DI ABBIGLIAMENTO; CONFEZIONE DI ARTICOLI IN PELLE E PELLICCIA"
15= "FABBRICAZIONE DI ARTICOLI IN PELLE E SIMILI"
16= "INDUSTRIA DEL LEGNO E DEI PRODOTTI IN LEGNO E SUGHERO (ESCLUSI I MOBILI); FABBRICAZIONE DI ARTICOLI IN PAGLIA E MATERIALI DA INTRECCIO"
17= "FABBRICAZIONE DI CARTA E DI PRODOTTI DI CARTA"
18= "STAMPA E RIPRODUZIONE DI SUPPORTI REGISTRATI"
19= "FABBRICAZIONE DI COKE E PRODOTTI DERIVANTI DALLA RAFFINAZIONE DEL PETROLIO"
20= "FABBRICAZIONE DI PRODOTTI CHIMICI"
21= "FABBRICAZIONE DI PRODOTTI FARMACEUTICI DI BASE E DI PREPARATI FARMACEUTICI"
22= "FABBRICAZIONE DI ARTICOLI IN GOMMA E MATERIE PLASTICHE"
23= "FABBRICAZIONE DI ALTRI PRODOTTI DELLA LAVORAZIONE DI MINERALI NON METALLIFERI"
24= "METALLURGIA"
25= "FABBRICAZIONE DI PRODOTTI IN METALLO (ESCLUSI MACCHINARI E ATTREZZATURE)"
26= "FABBRICAZIONE DI COMPUTER E PRODOTTI DI ELETTRONICA  E OTTICA; APPARECCHI ELETTROMEDICALI, APPARECCHI DI MISURAZIONE E DI OROLOGI"
27= "FABBRICAZIONE DI APPARECCHIATURE ELETTRICHE ED APPARECCHIATURE PER USO DOMESTICO NON ELETTRICHE"
28= "FABBRICAZIONE DI MACCHINARI ED APPARECCHIATURE NCA"
29= "FABBRICAZIONE DI AUTOVEICOLI, RIMORCHI E SEMIRIMORCHI"
30= "FABBRICAZIONE DI ALTRI MEZZI DI TRASPORTO"
31= "FABBRICAZIONE DI MOBILI"
32= "ALTRE INDUSTRIE MANIFATTURIERE"
33= "RIPARAZIONE, MANUTENZIONE ED INSTALLAZIONE DI MACCHINE ED APPARECCHIATURE"
35= "FORNITURA DI ENERGIA ELETTRICA, GAS, VAPORE E ARIA CONDIZIONATA"
36= "RACCOLTA, TRATTAMENTO E FORNITURA DI ACQUA"
37= "GESTIONE DELLE RETI FOGNARIE"
41= "COSTRUZIONE DI EDIFICI"
42= "INGEGNERIA CIVILE"
43= "LAVORI DI COSTRUZIONE SPECIALIZZATI"
45= "COMMERCIO ALL'INGROSSO E AL DETTAGLIO E RIPARAZIONE DI AUTOVEICOLI E MOTOCICLI"
46= "COMMERCIO ALL'INGROSSO (ESCLUSO QUELLO DI AUTOVEICOLI E DI MOTOCICLI)"
47= "COMMERCIO AL DETTAGLIO (ESCLUSO QUELLO DI AUTOVEICOLI E DI MOTOCICLI)"
49= "TRASPORTO TERRESTRE E TRASPORTO MEDIANTE CONDOTTE"
50= "TRASPORTO MARITTIMO E PER VIE D'ACQUA"
51= "TRASPORTO AEREO"
52= "MAGAZZINAGGIO E ATTIVIT DI SUPPORTO AI TRASPORTI"
53= "SERVIZI POSTALI E ATTIVIT DI CORRIERE"
55= "ALLOGGIO"
56= "ATTIVIT DEI SERVIZI DI RISTORAZIONE"
58= "ATTIVIT EDITORIALI"
59= "ATTIVIT DI PRODUZIONE CINEMATOGRAFICA, DI VIDEO E DI PROGRAMMI TELEVISIVI, DI REGISTRAZIONI MUSICALI E SONORE"
61= "TELECOMUNICAZIONI"
62= "PRODUZIONE DI SOFTWARE, CONSULENZA INFORMATICA E ATTIVIT CONNESSE"
63= "ATTIVIT DEI SERVIZI D'INFORMAZIONE E ALTRI SERVIZI INFORMATICI"
64= "ATTIVIT DI SERVIZI FINANZIARI (ESCLUSE LE ASSICURAZIONI E I FONDI PENSIONE)"
65= "ASSICURAZIONI, RIASSICURAZIONI E FONDI PENSIONE (ESCLUSE LE ASSICURAZIONI SOCIALI OBBLIGATORIE)"
66= "ATTIVIT AUSILIARIE DEI SERVIZI FINANZIARI E DELLE ATTIVIT ASSICURATIVE"
68= "ATTIVIT IMMOBILIARI"
71= "ATTIVIT DEGLI STUDI DI ARCHITETTURA E D'INGEGNERIA; COLLAUDI ED ANALISI TECNICHE"
72= "RICERCA SCIENTIFICA E SVILUPPO"
77= "ATTIVIT DI NOLEGGIO E LEASING OPERATIVO"
11-12= "INDUSTRIA DELLE BEVANDE E DEL TABACCO"
38-39= "ATTIVIT DI RACCOLTA, TRATTAMENTO E SMALTIMENTO DEI RIFIUTI; RECUPERO DEI MATERIALI; ATTIVIT DI RISANAMENTO E ALTRI SERVIZI DI GESTIONE DEI RIFIUTI"
;
VALUE GP3F /* GP */
0= "No"
1= "Si"
;
VALUE $HO4F /* HO */
"." = "missing or non applicable"
"0" = "Enterprise does not belong to a group"
"1" = "Home country (Italy)"
"2" = "Europe + Candidate Countries + EFTA countries"
"3" = "Rest of the world"
;
VALUE MAR5F /* MARLOC */
VALUE MAR6F /* MARNAT */
VALUE MAR7F /* MAREUR */
VALUE MAR8F /* MAROTH */
VALUE $LAR9F /* LARMAR */
"A" = "Regione nella quale limpresa ha la sua sede operativa"
"B" = "Altre regioni del territorio nazionale (differenti da quella in cui  ubicata la sede operativa)"
"C" = "Stati membri UE, paesi candidati UE, paesi EFTA"
"D" = "Altri paesi"
;
VALUE INP10F /* INPDGD */
VALUE INP11F /* INPDSV */
VALUE INP12F /* INPDTW */
.= "Assente se l'impresa non ha introdotto innovazioni di prodotto nel triennio"
1= "Prevalentemente limpresa stessa o imprese dello stesso gruppo"
2= "Prevalentemente limpresa stessa in collaborazione con altre imprese o istituti di ricerca"
3= "Prevalentemente altre imprese o istituti di ricerca"
;
VALUE NEW13F /* NEWMKT */
.= "Assente se l'impresa non ha introdotto innovazioni di prodotto nel triennio"
0= "No"
1= "Si"
;
VALUE NEW14F /* NEWFRM */
VALUE INP18F /* INPSPD */
0= "No"
1= "Si"
;
VALUE INP19F /* INPSLG */
VALUE INP20F /* INPSSU */
VALUE INP21F /* INPCSW */
.= "Assente se l'impresa non ha introdotto innovazioni di processo nel triennio"
1= "Prevalentemente limpresa stessa o imprese dello stesso gruppo"
2= "Prevalentemente limpresa stessa in collaborazione con altre imprese o istituzioni"
3= "Prevalentemente altre imprese o istituzioni"
;
VALUE INP22F /* INPSNM */
.= "Assente se l'impresa non ha introdotto innovazioni di processo nel triennio"
0= "No"
1= "Si"
2= "Non so"
;
VALUE INA23F /* INABA */
VALUE INO24F /* INONG */
VALUE RRD25F /* RRDIN */
.= "Assente se l'impresa non ha introdotto innovazioni di prodotto e/processo nel triennio n aveva in corso attivit di innovazione tecnologica alla fine del 2008"
0= "No"
1= "Si"
;
VALUE RDE26F /* RDENG */
.= "Assente se l'impresa non ha svolto attivit di R&S nel triennio"
1= "Sistematica"
2= "Occasionale"
;
VALUE RRD27F /* RRDEX */
VALUE RMA28F /* RMAC */
VALUE ROE29F /* ROEK */
VALUE RTR30F /* RTR */
VALUE RMA31F /* RMAR */
VALUE RPR32F /* RPRE */
VALUE fun41F /* funloc */
.= "Assente se l'impresa non ha introdotto innovazioni di prodotto e/processo nel triennio n aveva in corso attivit di innovazione tecnologica alla fine del 2008"
0= "No"
1= "Si"
;
VALUE fun42F /* fungmt */
VALUE fun43F /* funeu */
VALUE fun44F /* funrtd */
VALUE SEN45F /* SENTG */
.= "Assente se l'impresa non ha introdotto innovazioni di prodotto e/processo nel triennio 2002-2004 o non aveva in corso attivit di innovazione tecnologica alla fine del 2008"
0= "Nullo"
1= "Basso"
2= "Medio"
3= "Alto"
;
VALUE SSU46F /* SSUP */
VALUE SCL47F /* SCLI */
VALUE SCO48F /* SCOM */
VALUE SIN49F /* SINS */
VALUE SUN50F /* SUNI */
VALUE SGM51F /* SGMT */
VALUE SCO52F /* SCON */
VALUE SJO53F /* SJOU */
VALUE SPR54F /* SPRO */
VALUE CO55F /* CO */
VALUE co156F /* co11 */
.= "Assente se l'impresa non ha svolto cooperazione nel triennio n aveva in corso attivit di innovazione tecnologica alla fine del 2008"
0= "No"
1= "Si"
;
VALUE co157F /* co12 */
VALUE co158F /* co13 */
VALUE co159F /* co14 */
VALUE co160F /* co15 */
VALUE co261F /* co21 */
VALUE co262F /* co22 */
VALUE co263F /* co23 */
VALUE co264F /* co24 */
VALUE co265F /* co25 */
VALUE co366F /* co31 */
VALUE co367F /* co32 */
VALUE co368F /* co33 */
VALUE co369F /* co34 */
VALUE co370F /* co35 */
VALUE co471F /* co41 */
VALUE co472F /* co42 */
VALUE co473F /* co43 */
.= "Assente se l'impresa non ha svolto cooperazione nel triennio n aveva in corso attivit di innovazione tecnologica alla fine del 2008"
0= "No"
1= "Si"
;
VALUE co474F /* co44 */
VALUE co475F /* co45 */
VALUE co576F /* co51 */
VALUE co577F /* co52 */
VALUE co578F /* co53 */
VALUE co579F /* co54 */
VALUE co580F /* co55 */
VALUE co681F /* co61 */
VALUE co682F /* co62 */
VALUE co683F /* co63 */
VALUE co684F /* co64 */
VALUE co685F /* co65 */
VALUE co786F /* co71 */
VALUE co787F /* co72 */
VALUE co788F /* co73 */
VALUE co789F /* co74 */
VALUE co790F /* co75 */
VALUE $PMO91F /* PMOS */
"A" = "Altre imprese dello stesso gruppo"
"B" = "Fornitori"
"C" = "Clienti"
"D" = "Imprese concorrenti"
"E" = "Consulenti, istituti di ricerca e laboratori privati"
"F" = "Universit o altri istituti di istruzione superiore"
"G" = "Istituti di ricerca pubblici"
;
VALUE ORA92F /* ORANGE */
.= "Assente se l'impresa non ha introdotto innovazioni di prodotto e/processo nel triennio 2002-2004 o non aveva in corso attivit di innovazione tecnologica alla fine del 2008"
0= "Nullo"
1= "Basso"
2= "Medio"
3= "Alto"
;
VALUE ORE93F /* OREPL */
VALUE OEN94F /* OENMK */
VALUE OIM95F /* OIMKS */
VALUE OQU96F /* OQUA */
VALUE OFL97F /* OFLEX */
VALUE OCA98F /* OCAP */
VALUE OHE99F /* OHES */
VALUE OLB100F /* OLBR */
VALUE ORG101F /* ORGBUP */
0= "No"
1= "Si"
;
VALUE ORG102F /* ORGWKP */
VALUE ORG103F /* ORGEXR */
VALUE ORO104F /* ORORED */
.= "Assente se l'impresa non ha introdotto innovazioni organizzative nel triennio"
0= "Nullo"
1= "Basso"
2= "Medio"
3= "Alto"
;
VALUE ORO105F /* OROABL */
VALUE ORO106F /* OROQUA */
VALUE ORO107F /* ORORCO */
VALUE ORO108F /* OROCIN */
VALUE MKT109F /* MKTDGP */
0= "No"
1= "Si"
;
VALUE MKT110F /* MKTPDP */
VALUE MKT111F /* MKTPDL */
VALUE MKT112F /* MKTPRI */
VALUE OMK113F /* OMKTS */
.= "Assente se l'impresa non ha introdotto innovazioni di marketing nel triennio"
0= "Nullo"
1= "Basso"
2= "Medio"
3= "Alto"
;
VALUE OMK114F /* OMKTCG */
VALUE OMK115F /* OMKTGM */
VALUE ECO116F /* ECOMAT */
.= "Non risponde"
0= "No"
1= "Si"
;
VALUE ECO117F /* ECOEN */
VALUE ECO118F /* ECOCO */
VALUE ECO119F /* ECOSUB */
VALUE ECO120F /* ECOPOL */
VALUE ECO121F /* ECOREC */
VALUE ECO122F /* ECOENU */
VALUE ECO123F /* ECOPOS */
VALUE ECO124F /* ECOREA */
VALUE ENR125F /* ENREG */
VALUE ENR126F /* ENREGF */
VALUE ENG127F /* ENGRA */
VALUE END128F /* ENDEM */
VALUE ENA129F /* ENAGR */
VALUE ENV130F /* ENVID */
.= "Non risponde"
1= "S, le azioni sono state implementate prima di gennaio 2006"
2= "S, le azioni sono state implementate o significativamente migliorate dopo gennaio 2006"
3= "No"
;
format nuts nut1F.;
format nace nac2F.;
format GP GP3F.;
format HO $HO4F.;
format MARLOC MAR5F.;
format MARNAT MAR6F.;
format MAREUR MAR7F.;
format MAROTH MAR8F.;
format LARMAR $LAR9F.;
format INPDGD INP10F.;
format INPDSV INP11F.;
format INPDTW INP12F.;
format NEWMKT NEW13F.;
format NEWFRM NEW14F.;
format INPSPD INP18F.;
format INPSLG INP19F.;
format INPSSU INP20F.;
format INPCSW INP21F.;
format INPSNM INP22F.;
format INABA INA23F.;
format INONG INO24F.;
format RRDIN RRD25F.;
format RDENG RDE26F.;
format RRDEX RRD27F.;
format RMAC RMA28F.;
format ROEK ROE29F.;
format RTR RTR30F.;
format RMAR RMA31F.;
format RPRE RPR32F.;
format funloc fun41F.;
format fungmt fun42F.;
format funeu fun43F.;
format funrtd fun44F.;
format SENTG SEN45F.;
format SSUP SSU46F.;
format SCLI SCL47F.;
format SCOM SCO48F.;
format SINS SIN49F.;
format SUNI SUN50F.;
format SGMT SGM51F.;
format SCON SCO52F.;
format SJOU SJO53F.;
format SPRO SPR54F.;
format CO CO55F.;
format co11 co156F.;
format co12 co157F.;
format co13 co158F.;
format co14 co159F.;
format co15 co160F.;
format co21 co261F.;
format co22 co262F.;
format co23 co263F.;
format co24 co264F.;
format co25 co265F.;
format co31 co366F.;
format co32 co367F.;
format co33 co368F.;
format co34 co369F.;
format co35 co370F.;
format co41 co471F.;
format co42 co472F.;
format co43 co473F.;
format co44 co474F.;
format co45 co475F.;
format co51 co576F.;
format co52 co577F.;
format co53 co578F.;
format co54 co579F.;
format co55 co580F.;
format co61 co681F.;
format co62 co682F.;
format co63 co683F.;
format co64 co684F.;
format co65 co685F.;
format co71 co786F.;
format co72 co787F.;
format co73 co788F.;
format co74 co789F.;
format co75 co790F.;
format PMOS $PMO91F.;
format ORANGE ORA92F.;
format OREPL ORE93F.;
format OENMK OEN94F.;
format OIMKS OIM95F.;
format OQUA OQU96F.;
format OFLEX OFL97F.;
format OCAP OCA98F.;
format OHES OHE99F.;
format OLBR OLB100F.;
format ORGBUP ORG101F.;
format ORGWKP ORG102F.;
format ORGEXR ORG103F.;
format ORORED ORO104F.;
format OROABL ORO105F.;
format OROQUA ORO106F.;
format ORORCO ORO107F.;
format OROCIN ORO108F.;
format MKTDGP MKT109F.;
format MKTPDP MKT110F.;
format MKTPDL MKT111F.;
format MKTPRI MKT112F.;
format OMKTS OMK113F.;
format OMKTCG OMK114F.;
format OMKTGM OMK115F.;
format ECOMAT ECO116F.;
format ECOEN ECO117F.;
format ECOCO ECO118F.;
format ECOSUB ECO119F.;
format ECOPOL ECO120F.;
format ECOREC ECO121F.;
format ECOENU ECO122F.;
format ECOPOS ECO123F.;
format ECOREA ECO124F.;
format ENREG ENR125F.;
format ENREGF ENR126F.;
format ENGRA ENG127F.;
format ENDEM END128F.;
format ENAGR ENA129F.;
format ENVID ENV130F.;
RUN;
